package org.prelle.audiotron;

/**
 * This is the superclass of all requests that can be sent to
 * the Audiotron.
 * 
 * Created at 23.03.2004, 12:32:32
 *
 * @author Stefan Prelle
 *
 */
public abstract class Request {
	
	//----------------------------------------------------------------------
	/**
	 * Return the part of the request that is local to the Audiotron server
	 */
	public abstract String getRequestURI();
	
	//----------------------------------------------------------------------
	public abstract void processResult(String result);
	
}
